using System;

namespace A_Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();//ab
            char c1,c2;
            c1 = s[0];
            c2 = s[1];
            string[] s1= Console.ReadLine().Split();//2 2
            int a1, a2;
            a1 = Convert.ToInt32(s1[0]);
            a2 = Convert.ToInt32(s1[1]);
            //---------------------unos

            if (c1 == c2) Console.WriteLine("nemoguce");
            else if (a1 < 0 || a1 > 50000) Console.WriteLine("nemoguce");
            else if (a2 < 0 || a2 > 50000) Console.WriteLine("nemoguce");
            else if (Math.Abs(a1 - a2) > 1) Console.WriteLine("nemoguce");
            else
            {
                if (a1 == a2)
                {
                    for (int i = 0; i < a1; i++, a1--)
                    {
                        Console.Write(c1);
                        Console.Write(c2);
                    }
                }
                else if (a1 > a2)
                {
                    while (0 < a2)
                    {
                        Console.Write(c1);
                        Console.Write(c2);
                        a2--;
                    }
                    Console.Write(c1);
                }
                else
                {
                    while (0 < a1)
                    {
                        Console.Write(c2);
                        Console.Write(c1);
                        a1--;
                    }
                    Console.Write(c2);
                }
            }
        }
    }
}